diff --git a/buglist b/buglist
index e2d5133..a4e49ed 100644
--- a/buglist
+++ b/buglist
@@ -1,11 +1,34 @@
 =========================================================================
 
-bug 7233: 
+bug 7234: 
 todo 329:
 wish 1011:
 meh 5:
 
 =========================================================================
+bug 7233: fill! operation from U8Vector does not show up
+
+
+)d op fill!
+
+There are 2 exposed functions called fill! :
+   [1] (D,D1) -> D from D
+            if D has ARR2CAT(D1,D2,D3) and D1 has TYPE and D2 has FLAGG
+            (D1) and D3 has FLAGG(D1)
+   [2] (D,D1) -> D from D
+            if D has shallowlyMutable and D has IXAGG(D2,D1) and D2 has
+            SETCAT and D1 has TYPE
+
+Examples of fill! from TwoDimensionalArrayCategory
+
+arr : ARRAY2 INT := new(5,4,0) 
+fill!(arr,10)
+
+
+Examples of fill! from IndexedAggregate
+
+
+=========================================================================
 
 bug 7232: Cannot convert from type Symbol to PositiveInteger for value #3
 
diff --git a/changelog b/changelog
index 7f53725..4e03b84 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130223 tpd src/axiom-website/patches.html 20130223.04.tpd.patch
+20120223 tpd buglist add 7233: fill! operation from U8Vector does not show up
 20130223 tpd src/axiom-website/patches.html 20130223.03.tpd.patch
 20130223 tpd src/input/machinearithmetic.input unit test U8Vector
 20130223 tpd books/bookvol5 add lisp support for U8Vector
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a6e3dbf..e14d6f2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3983,5 +3983,7 @@ books/bookvol5 fix exposure for MAGCDOC category
 books/bookvol10.3 add U16Vector
 <a href="patches/20130223.03.tpd.patch">20130223.03.tpd.patch</a>
 books/bookvol10.3 add U8Vector
+<a href="patches/20130223.04.tpd.patch">20130223.04.tpd.patch</a>
+buglist add 7233: fill! operation from U8Vector does not show up
  </body>
 </html>
